initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
+19
View File
@@ -0,0 +1,19 @@
config BR2_PACKAGE_CGROUPFS_MOUNT
bool "cgroupfs-mount"
depends on !BR2_INIT_SYSTEMD
help
cgroupfs mount and umount scripts.
requires a Linux kernel >= 3.0 with the following options
enabled:
- CONFIG_BLK_CGROUP
- CONFIG_CGROUPS
- CONFIG_CGROUP_CPUACCT
- CONFIG_CGROUP_DEVICE
- CONFIG_CGROUP_FREEZER
- CONFIG_CGROUP_WRITEBACK
- CONFIG_CGROUP_SCHED
- CONFIG_CGROUP_PIDS
https://github.com/tianon/cgroupfs-mount
+34
View File
@@ -0,0 +1,34 @@
#!/bin/sh
#
# Set up cgroupfs mounts.
#
start() {
printf "Mounting cgroupfs hierarchy: "
/usr/bin/cgroupfs-mount
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Unmounting cgroupfs hierarchy: "
/usr/bin/cgroupfs-umount
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
@@ -0,0 +1,3 @@
# Locally calculated
sha256 d6c8aff7af59c7d0082ee3018c97f73b0421e81a49bb28ad9f66a36da5cd6ec7 cgroupfs-mount-1.4.tar.gz
sha256 e52f47a650734f70c40c8fd9318f85e42777bf3fba7ff1dfb72f845bb417f7e6 debian/copyright
+23
View File
@@ -0,0 +1,23 @@
################################################################################
#
# cgroupfs-mount
#
################################################################################
CGROUPFS_MOUNT_VERSION = 1.4
CGROUPFS_MOUNT_SITE = $(call github,tianon,cgroupfs-mount,$(CGROUPFS_MOUNT_VERSION))
CGROUPFS_MOUNT_LICENSE = GPL-3.0+
CGROUPFS_MOUNT_LICENSE_FILES = debian/copyright
CGROUPFS_MOUNT_CPE_ID_VENDOR = cgroupfs-mount_project
define CGROUPFS_MOUNT_INSTALL_TARGET_CMDS
$(INSTALL) -D -m 0755 $(@D)/cgroupfs-mount $(TARGET_DIR)/usr/bin/cgroupfs-mount
$(INSTALL) -D -m 0755 $(@D)/cgroupfs-umount $(TARGET_DIR)/usr/bin/cgroupfs-umount
endef
define CGROUPFS_MOUNT_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D $(CGROUPFS_MOUNT_PKGDIR)/S30cgroupfs \
$(TARGET_DIR)/etc/init.d/S30cgroupfs
endef
$(eval $(generic-package))